#!/bin/bash
username=$1
mem=$2
cpu=$3
home=$4
port=$5
sharePath=$6
uname=${username%_*}

# create user path
if [ ! -d ${home} ]; then
  mkdir -p -m 755 ${home}
  mkdir -p -m 755 ${home}"/demo"
  mkdir -p -m 755 ${home}"/data"
  mkdir -p -m 755 ${home}"/config"
  #echo mkdir ${userDir}
fi

echo /usr/bin/docker run -dti -m $mem --cpu-shares $cpu --name img_${username}  -p ${port}:${port} \
        -v ${sharePath}:/share:ro \
        -v ${home}:/app \
       esproc \
       /raqsoft/esProc/bin/ServerConsole.sh -p

/usr/bin/docker run -dti -m $mem --cpu-shares $cpu --name img_${username}  -p ${port}:${port} \
        -v ${sharePath}:/share:ro \
        -v ${home}"/demo":/demo \
        -v ${home}:/app \
       esproc \
       /bin/bash
#sleep 1
if [ ! -f "/app/config/unitServer.xml" ];then
  /usr/bin/docker exec -dti img_${username} cp /app/config/unitServer.xml ../config
fi
if [ ! -f "/app/config/raqsoftConfig" ];then
  /usr/bin/docker exec -dti img_${username} cp /app/config/raqsoftConfig.xml ../config
fi
/usr/bin/docker exec -dti img_${username} /raqsoft/esProc/bin/ServerConsole.sh -plocalhost:${port}

